Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226468 - Merge Review: system-config-samba
Summary: Merge Review: system-config-samba
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:06 UTC by Nobody's working on this, feel free to take it
Modified: 2009-09-21 20:36 UTC (History)
1 user (show)

Fixed In Version: system-config-samba-1.2.58-1.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-18 08:47:48 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:06:50 UTC
Fedora Merge Review: system-config-samba

http://cvs.fedora.redhat.com/viewcvs/devel/system-config-samba/
Initial Owner: nphilipp@redhat.com

Comment 1 Parag AN(पराग) 2007-09-28 17:04:29 UTC
Preliminary Review:-

rpmlint on SRPM and RPM gave me
-------------------------------------
system-config-samba.src:17: W: unversioned-explicit-obsoletes redhat-config-samba
system-config-samba.src: W: invalid-license GPL
system-config-samba.noarch: E: script-without-shebang
/usr/share/system-config-samba/sambaParser.py
system-config-samba.noarch: E: script-without-shebang
/usr/share/system-config-samba/sambaUserWin.py
system-config-samba.noarch: E: script-without-shebang
/usr/share/system-config-samba/sambaBackend.py
system-config-samba.noarch: E: script-without-shebang
/usr/share/system-config-samba/sambaDefaults.py
system-config-samba.noarch: E: script-without-shebang
/usr/share/system-config-samba/mainWindow.py
system-config-samba.noarch: E: script-without-shebang
/usr/share/system-config-samba/basicPreferencesWin.py
system-config-samba.noarch: E: script-without-shebang
/usr/share/system-config-samba/sambaUserData.py
system-config-samba.noarch: E: script-without-shebang
/usr/share/system-config-samba/smb.conf.template
system-config-samba.noarch: E: script-without-shebang
/usr/share/system-config-samba/addUserWin.py
system-config-samba.noarch: E: script-without-shebang
/usr/share/system-config-samba/shareWindow.py
system-config-samba.noarch: E: script-without-shebang
/usr/share/system-config-samba/system-config-samba.glade
system-config-samba.noarch: E: script-without-shebang
/usr/share/system-config-samba/sambaToken.py
system-config-samba.noarch: E: explicit-lib-dependency libuser-python
system-config-samba.noarch: W: incoherent-version-in-changelog 1.2.52 1.2.52-1.fc8
system-config-samba.noarch: W: invalid-license GPL
system-config-samba.noarch: W: obsolete-not-provided redhat-config-samba
system-config-samba.noarch: W: conffile-without-noreplace-flag
/etc/pam.d/system-config-samba
system-config-samba.noarch: W: conffile-without-noreplace-flag
/etc/security/console.apps/system-config-samba


-------------------------------------------------------
also,
  1) packaging guidelines suggests use of make as 
http://fedoraproject.org/wiki/Packaging/Guidelines#head-525c7d76890cb22df33b759c65c35c82bf434d2e
  2) good to use %defattr(-,root,root,-)

Update package. Better to provide new SPEC and SRPM links for this package
before actually committing in CVS.


Comment 3 Nils Philippsen 2007-10-12 08:46:33 UTC
(In reply to comment #1)
> Preliminary Review:-
> 
> rpmlint on SRPM and RPM gave me
> -------------------------------------
> system-config-samba.src:17: W: unversioned-explicit-obsoletes redhat-config-samba

fixed

> system-config-samba.src: W: invalid-license GPL

fixed

> system-config-samba.noarch: E: script-without-shebang
> /usr/share/system-config-samba/sambaParser.py
> system-config-samba.noarch: E: script-without-shebang
> /usr/share/system-config-samba/sambaUserWin.py
> system-config-samba.noarch: E: script-without-shebang
> /usr/share/system-config-samba/sambaBackend.py
> system-config-samba.noarch: E: script-without-shebang
> /usr/share/system-config-samba/sambaDefaults.py
> system-config-samba.noarch: E: script-without-shebang
> /usr/share/system-config-samba/mainWindow.py
> system-config-samba.noarch: E: script-without-shebang
> /usr/share/system-config-samba/basicPreferencesWin.py
> system-config-samba.noarch: E: script-without-shebang
> /usr/share/system-config-samba/sambaUserData.py
> system-config-samba.noarch: E: script-without-shebang
> /usr/share/system-config-samba/smb.conf.template
> system-config-samba.noarch: E: script-without-shebang
> /usr/share/system-config-samba/addUserWin.py
> system-config-samba.noarch: E: script-without-shebang
> /usr/share/system-config-samba/shareWindow.py
> system-config-samba.noarch: E: script-without-shebang
> /usr/share/system-config-samba/system-config-samba.glade
> system-config-samba.noarch: E: script-without-shebang
> /usr/share/system-config-samba/sambaToken.py

fixed

> system-config-samba.noarch: E: explicit-lib-dependency libuser-python

What's that supposed to mean? (ignored)

> system-config-samba.noarch: W: incoherent-version-in-changelog 1.2.52 1.2.52-1.fc8

fixed

> system-config-samba.noarch: W: invalid-license GPL

idem

> system-config-samba.noarch: W: obsolete-not-provided redhat-config-samba

It doesn't provide "redhat-config-samba" -> ignored

> system-config-samba.noarch: W: conffile-without-noreplace-flag
> /etc/pam.d/system-config-samba
> system-config-samba.noarch: W: conffile-without-noreplace-flag
> /etc/security/console.apps/system-config-samba

fixed

> 
> 
> -------------------------------------------------------
> also,
>   1) packaging guidelines suggests use of make as 
>
http://fedoraproject.org/wiki/Packaging/Guidelines#head-525c7d76890cb22df33b759c65c35c82bf434d2e

no really benefit in parallel build, but still: fixed

>   2) good to use %defattr(-,root,root,-)

fixed

system-config-samba-1.2.55-1.fc8 with these changes is building right now.


Comment 4 Parag AN(पराग) 2007-10-12 09:56:18 UTC
1) I got following in mock build
 error: Installed (but unpackaged) file(s) found:
   /usr/system-config-samba

2) Is there any need to use following in SPEC?
   ExclusiveOS: Linux

3) I am bit confused whether we really need 
Requires(post): hicolor-icon-theme
Requires(postun): hicolor-icon-theme

because
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-7103f6c38d1b5735e8477bdd569ad73ea2c49bda
suggests no such usage of Requires needed.



Comment 5 Parag AN(पराग) 2007-10-12 10:02:58 UTC
Dunno what happened at my machine I got following
Processing files: system-config-samba-1.2.55-1.fc8
error: File not found:
/var/tmp/system-config-samba-1.2.55-1.fc8-root-mockbuild/usr/bin/system-config-samba
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.87231

Will check again CVS and try to build it again.

Comment 6 Parag AN(पराग) 2007-10-12 10:12:21 UTC
Ok when I re-checkout CVS I got it working fine in mock build.
Will you please reply to comment #4?

Comment 7 Nils Philippsen 2007-10-15 09:14:52 UTC
(In reply to comment #4)
> 2) Is there any need to use following in SPEC?
>    ExclusiveOS: Linux

Removed.

> 3) I am bit confused whether we really need 
> Requires(post): hicolor-icon-theme
> Requires(postun): hicolor-icon-theme
> 
> because
>
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-7103f6c38d1b5735e8477bdd569ad73ea2c49bda
> suggests no such usage of Requires needed.

removed hicolor-icon-theme requirement, calling gtk-update-icon-cache with full path

system-config-samba-1.2.56-1.fc8 is building with these changes right now


Comment 8 Parag AN(पराग) 2007-10-15 11:01:48 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM but Not for RPM.
system-config-samba.noarch: E: explicit-lib-dependency libuser-python
system-config-samba.noarch: W: obsolete-not-provided redhat-config-samba
These messages can be ignored for this package.
+ source files match upstream.
c91e38a742e012aa55f0eb8f8436ec58  system-config-samba-1.2.56.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ gtk-update-icon-cache scriptlets are used.
+ Desktop files are handled correctly.
+ package  system-config-samba-1.2.56-1.fc8 ->
  Provides: config(system-config-samba) = 1.2.56-1.fc8
  Requires: /usr/bin/python config(system-config-samba) = 1.2.56-1.fc8
libuser-python pygtk2 pygtk2-libglade python samba samba-common usermode >= 1.36
xdg-utils
+ GUI app.

APPROVED.


Comment 9 Parag AN(पराग) 2007-10-18 08:47:48 UTC
Closing this review as Approved package is already built in rawhide.


Note You need to log in before you can comment on or make changes to this bug.